net.sf.jasperreports.data.xml

## Interface XmlDataAdapter

- All Superinterfaces:
    DataAdapter
  All Known Subinterfaces:
    RemoteXmlDataAdapter
  All Known Implementing Classes:
    RemoteXmlDataAdapterImpl, XmlDataAdapterImpl

      public interface XmlDataAdapter
      extends DataAdapter

  Version:
    $Id: XmlDataAdapter.java 6026 2013-03-26 11:49:34Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatePattern()`
    `java.lang.String` | `getFileName()`
    `java.util.Locale` | `getLocale()`
    `java.lang.String` | `getNumberPattern()`
    `java.lang.String` | `getSelectExpression()`
    `java.util.TimeZone` | `getTimeZone()`
    `boolean` | `isNamespaceAware()`
    `boolean` | `isUseConnection()`
    `void` | `setDatePattern(java.lang.String datePattern)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setLocale(java.util.Locale locale)`
    `void` | `setNumberPattern(java.lang.String numberPattern)`
    `void` | `setSelectExpression(java.lang.String selectExpression)`
    `void` | `setTimeZone(java.util.TimeZone timeZone)`
    `void` | `setUseConnection(boolean useConnection)`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Method Detail

    - #### getFileName

          java.lang.String getFileName()

    - #### setFileName

          void setFileName(java.lang.String fileName)

    - #### getSelectExpression

          java.lang.String getSelectExpression()

    - #### setSelectExpression

          void setSelectExpression(java.lang.String selectExpression)

    - #### getLocale

          java.util.Locale getLocale()

    - #### setLocale

          void setLocale(java.util.Locale locale)

    - #### getDatePattern

          java.lang.String getDatePattern()

    - #### setDatePattern

          void setDatePattern(java.lang.String datePattern)

    - #### getNumberPattern

          java.lang.String getNumberPattern()

    - #### setNumberPattern

          void setNumberPattern(java.lang.String numberPattern)

    - #### getTimeZone

          java.util.TimeZone getTimeZone()

    - #### setTimeZone

          void setTimeZone(java.util.TimeZone timeZone)

    - #### isUseConnection

          boolean isUseConnection()

    - #### setUseConnection

          void setUseConnection(boolean useConnection)

    - #### isNamespaceAware

          boolean isNamespaceAware()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com